/**
 *  UNWAR
 *  UNpacker for Werkkzeug ARchives.
 *  
 *  (c) 2011, Sauron.
 */

#ifndef __UNWAR_H
#define __UNWAR_H

// magic number
#define PAK_MAGIC 0xDEADBEEF

typedef unsigned int uint32;
typedef signed int sint32;
typedef unsigned char byte;

struct wz4_pak_header {
    // magic number
    uint32 magic;
    // number of files
    uint32 nrfiles;
    // data start offset
    uint32 dataOffset;
    // still unknown
    uint32 reserved;
} __attribute__((__packed__));

struct wz4_descriptor {
    // absolute address of filename start
    uint32 nameOffset;
    // absolute address of file start
    uint32 fileOffset;
    // size of packed file
    uint32 packedSize;
    // size of unpacked file
    uint32 size;
    // still unknown
    uint32 reserved;
} __attribute__((__packed__));

#endif
